# swagger.model.Notification

## Load the model package
```dart
import 'package:swagger/api.dart';
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**type** | **String** | The type of the notification which can be requested by the support | [optional] [default to null]
**triggeredSuccessful** | **bool** | Describes if the notification was triggered successfully | [optional] [default to null]
**triggeredError** | **bool** | Describes if the notification was triggered not successfully | [optional] [default to null]
**destination** | **String** | The destination of the type, like a email address or a url | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

