part of swagger.api;

class Templates {
  /* Number of templates in total */
  int total = null;
/* Offset used in the query */
  int offset = null;
/* Number of templates in the sent data array */
  int count = null;
/* Array of fetched templates */
  List<Template> data = [];

  Templates();

  @override
  String toString() {
    return 'Templates[total=$total, offset=$offset, count=$count, data=$data, ]';
  }

  Templates.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    total = json['total'];
    offset = json['offset'];
    count = json['count'];
    data = Template.listFromJson(json['data']);
  }

  Map<String, dynamic> toJson() {
    return {
      'total': total,
      'offset': offset,
      'count': count,
      'data': data
     };
  }

  static List<Templates> listFromJson(List<dynamic> json) {
    return json == null ? new List<Templates>() : json.map((value) => new Templates.fromJson(value)).toList();
  }

  static Map<String, Templates> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Templates>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Templates.fromJson(value));
    }
    return map;
  }
}
